TIBCO FTL®

Static Public Attributes | List of all members
TIBCO.FTL.Advisory Class Reference

Asynchronous advisory messages carry information about the operation of FTL. Programs can receive this information through subscribers on the advisory endpoint. More...

## Static Public Attributes
static readonly string | ENDPOINT_NAME = "_advisoryEndpoint"
| Name of the special endpoint that carries FTL advisory messages; string. More...
static readonly string | FIELD_ADVISORY = "_advisory"
| A field with this field name distinguishes advisory messages. More...
static readonly string | FIELD_AGGREGATION_COUNT = "aggregation_count"
| Aggregation incidents (field name). More...
static readonly string | FIELD_AGGREGATION_TIME = "aggregation_time"
| Aggregation time interval (field name). More...
static readonly string | FIELD_ENDPOINTS = "endpoints"
| Endpoints (field name). More...
static readonly string | FIELD_LOCK_NAME = "lock_name"
| Lock Name (field name). More...
static readonly string | FIELD_MODULE = "module"
| Module (field name). More...
static readonly string | FIELD_NAME = "name"
| Advisory name (field name). More...
static readonly string | FIELD_PUBLISHER_LABEL = "publisher_label"
| Publisher label (field name). More...
static readonly string | FIELD_QUEUE_NAME = "queue_name"
| Queue name (field name). More...
static readonly string | FIELD_REASON = "reason"
| Advisory reason (field name). More...
static readonly string | FIELD_SEVERITY = "severity"
| Advisory severity (field name). More...
static readonly string | FIELD_SUBSCRIBER_NAME = "subscriber_name"
| Subscriber name (field name). More...
static readonly string | FIELD_TIMESTAMP = "timestamp"
| Timestamp (field name). More...
static readonly string | MODULE_BASE = "BASE"
| The advisory message pertains to the FTL API base library implementation code (field value). More...
static readonly string | NAME_DATALOSS = "DATALOSS"
| The advisory message reports data loss (name). More...
static readonly string | NAME_LOCK_LOST = "LOCK_LOST"
| The advisory message reports that a lock previously held by this application was stolen by some other application. More...
static readonly string | NAME_NONINLINE_SEND_LOSS = "NONINLINE_SEND_LOSS"
| The advisory message reports that a non-inline persistence publisher experienced a failure while trying to persist a message. More...
static readonly string | NAME_RESOURCE_AVAILABLE = "RESOURCE_AVAILABLE"
| The advisory message reports that a resource is available. More...
static readonly string | NAME_RESOURCE_UNAVAILABLE = "RESOURCE_UNAVAILABLE"
| The advisory message reports that a resource is unavailable. More...
static readonly string | NAME_RETRANSMISSION = "RETRANSMISSION"
| The advisory message reports multicast retransmission. More...
static readonly string | NAME_SUBSCRIBER_FORCE_CLOSE = "SUBSCRIBER_FORCE_CLOSE"
| The advisory message reports that a persistence store forced a durable subscriber to close. More...
static readonly string | REASON_DURABLE_SUBSCRIBER_COLLISION = "DURABLE_SUBSCRIBER_COLLISION"
| The advisory reports that a persistence store forced a subscriber to close; the reason is durable subscriber collision. More...
static readonly string | REASON_FAILOVER_LOSS = "FAILOVER_LOSS"
| The advisory reports potential data loss; the reason is failover to a backup forwarding component. More...
static readonly string | REASON_INCOMPLETE_MESSAGE = "INCOMPLETE_MESSAGE"
| The advisory reports data loss; the reason is an incomplete message. More...
static readonly string | REASON_LOCK_LOST_ON_DISCONNECT = "LOCK_LOST_ON_DISCONNECT"
| The advisory reports lock lost notification; the reason is a lock that was previously held by this application was lost because of a disconnect from the persistence store. More...
static readonly string | REASON_LOCK_STOLEN = "LOCK_STOLEN"
| The advisory reports lock lost notification; the reason is a lock that was previously held by this application was stolen by some other application. More...
static readonly string | REASON_PERSISTENCE_STORE_AVAILABLE = "PERSISTENCE_STORE_AVAILABLE"
| The advisory reports resource availibility; the reason is that a persistence store is available. More...
static readonly string | REASON_PERSISTENCE_STORE_AVAILABLE_AFTER_CLUSTER_DATALOSS = "PERSISTENCE_STORE_AVAILABLE_AFTER_CLUSTER_DATALOSS"
| The advisory reports resource availability; the reason is that a persistence store is available but the cluster lost some or all data. More...
static readonly string | REASON_PERSISTENCE_STORE_UNAVAILABLE = "PERSISTENCE_STORE_UNAVAILABLE"
| The advisory reports resource unavailibility; the reason is that a persistence store is not available. More...
static readonly string | REASON_QUEUE_LIMIT_EXCEEDED = "QUEUE_LIMIT_EXCEEDED"
| The advisory message reports data loss; the reason is overflow of an event queue. More...
static readonly string | REASON_RECONNECT_LOSS = "RECONNECT_LOSS"
| The advisory reports potential data loss; the reason is a temporary network disconnect between two connection-oriented transports (that is, TCP or RDMA). More...
static readonly string | REASON_RETRANSMISSION_REQUEST = "RETRANSMISSION_REQUEST"
| The advisory reports that the subscribing endpoint of a multicast transport in the application requested retransmission from a publishing endpoint. More...
static readonly string | REASON_RETRANSMISSION_REQUEST_SUPPRESSED = "RETRANSMISSION_REQUEST_SUPPRESSED"
| The advisory reports that the subscribing endpoint of a multicast transport in the application would have requested retransmission, but request was suppressed. More...
static readonly string | REASON_RETRANSMISSION_SENT = "RETRANSMISSION_SENT"
| The advisory reports that the publishing endpoint of a multicast transport in the application has sent a retransmission as requested. More...
static readonly string | REASON_SENDER_DISCARD = "SENDER_DISCARD"
| The advisory reports data loss; the reason is that a sending transport has discarded data in accordance with its backlog settings. More...
static readonly string | REASON_STORE_DISCARD_DATALOSS = "STORE_DISCARD_DATALOSS"
| The advisory reports data loss when a subscriber to a last-value durable has missed one or more messages from the persistence store. More...
static readonly string | REASON_TPORT_DATALOSS = "TPORT_DATALOSS"
| The advisory reports data loss; the reason is a transport malfunction. More...
static readonly string | REASON_UPSTREAM_LOSS = "UPSTREAM_LOSS"
| The advisory reports potential data loss; the reason is a data loss advisory detected upstream at a forwarding component (such as a transport bridge). More...
static readonly string | SEVERITY_DEBUG = "DEBUG"
| The advisory message is for debugging (severity value). More...
static readonly string | SEVERITY_INFO = "INFO"
| The advisory message is informational (severity value). More...
static readonly string | SEVERITY_WARN = "WARN"
| The advisory message is a warning (severity value). More...

## Detailed Description

Asynchronous advisory messages carry information about the operation of FTL. Programs can receive this information through subscribers on the advisory endpoint.

This interface class defines constants related to advisory messages, their field names and field values.

Customers do not implement this interface.

For more information, see the chapter "Advisory Messages" in the book TIBCO FTL Development.

## Member Data Documentation

## ◆ ENDPOINT_NAME

readonly string TIBCO.FTL.Advisory.ENDPOINT_NAME = "_advisoryEndpoint"
| static

Name of the special endpoint that carries FTL advisory messages; string.

To receive FTL advisory messages, create a subscriber on the endpoint name `_advisoryEndpoint`.

The realm object scopes the advisories that a subscriber on this endpoint can receive. That is, a subscriber to this endpoint receives only those advisories produced by other objects in the same program and the same realm (as the advisory subscriber).

It is illegal to create a publisher on this endpoint name.

## ◆ FIELD_ADVISORY

readonly string TIBCO.FTL.Advisory.FIELD_ADVISORY = "_advisory"
| static

A field with this field name distinguishes advisory messages.

All advisory messages contain this field. Only advisory messages may contain this field.

Use this field only for matching purposes. Your program code must never set this field in any message. This field always has the integer value 1.

## ◆ FIELD_AGGREGATION_COUNT

readonly string TIBCO.FTL.Advisory.FIELD_AGGREGATION_COUNT = "aggregation_count"
| static

Aggregation incidents (field name).

Some advisory messages report aggregate data, representing several incidents that occurred within a time interval. The long integer value of the `aggregation_count` field indicates the number of incidents.

In `DATALOSS` advisories with reason `QUEUE_LIMIT_EXCEEDED`, this value reports the number of events that the queue discarded.

See also
  FIELD_AGGREGATION_TIME

## ◆ FIELD_AGGREGATION_TIME

readonly string TIBCO.FTL.Advisory.FIELD_AGGREGATION_TIME = "aggregation_time"
| static

Aggregation time interval (field name).

Some advisory messages report aggregate data, representing several incidents that occurred within a time interval. The double floating point value of the `aggregation_time` field indicates the length of the time interval (in seconds).

The time interval ends shortly before the timestamp on the advisory message.

See also
  FIELD_AGGREGATION_COUNT

## ◆ FIELD_ENDPOINTS

readonly string TIBCO.FTL.Advisory.FIELD_ENDPOINTS = "endpoints"
| static

Endpoints (field name).

This field can appear in `DATALOSS`, `SUBSCRIBER_FORCE_CLOSE`, and `RETRANSMISSION` advisories.

- In `DATALOSS` advisories, The string array value of the `endpoints` field lists the endpoints that could have lost data. Although data loss occurs primarily in a transport, its symptoms could affect all endpoints that use the transport – and by extension, any subscriber on those endpoints. Furthermore, transport names are meaningful to administrators, but usually not available to programmers. This advisory field reports the set of all endpoints through which the program could access the problematic transport (according to the configuration in the local realm object).
  This field does not appear in `DATALOSS` advisories with reason `QUEUE_LIMIT_EXCEEDED` .
- In `SUBSCRIBER_FORCE_CLOSE` advisories, the string array value of the `endpoints` field identifies the endpoint of the closed subscriber object.

See also
  NAME_DATALOSS, NAME_SUBSCRIBER_FORCE_CLOSE, NAME_RETRANSMISSION

## ◆ FIELD_LOCK_NAME

readonly string TIBCO.FTL.Advisory.FIELD_LOCK_NAME = "lock_name"
| static

Lock Name (field name).

This field can appear in `LOCK_LOST` advisories.

The string value of the `lock_name` field identifies the name of the lock that was stolen by some other application.

See also
  NAME_LOCK_LOST

## ◆ FIELD_MODULE

readonly string TIBCO.FTL.Advisory.FIELD_MODULE = "module"
| static

Module (field name).

The string value of the `module` field denotes the part of FTL to which the advisory pertains.

See also
  MODULE_BASE

## ◆ FIELD_NAME

readonly string TIBCO.FTL.Advisory.FIELD_NAME = "name"
| static

Advisory name (field name).

The string value of the `name` field denotes the main issue that the advisory reports.

See also
  NAME_DATALOSS, NAME_SUBSCRIBER_FORCE_CLOSE, NAME_RESOURCE_UNAVAILABLE, NAME_RESOURCE_AVAILABLE, NAME_RETRANSMISSION, NAME_LOCK_LOST, NAME_NONINLINE_SEND_LOSS, GROUP.GroupFactory.ADVISORY_NAME_ORDINAL_UPDATE, GROUP.GroupFactory.ADVISORY_NAME_GROUP_STATUS

## ◆ FIELD_PUBLISHER_LABEL

readonly string TIBCO.FTL.Advisory.FIELD_PUBLISHER_LABEL = "publisher_label"
| static

Publisher label (field name).

This field can appear in `NONINLINE_SEND_LOSS` advisories.

The string value of the `publisher_label` field identifies the label of the publisher that discarded a message while trying to persist it in the background.

See also
  NAME_NONINLINE_SEND_LOSS

## ◆ FIELD_QUEUE_NAME

readonly string TIBCO.FTL.Advisory.FIELD_QUEUE_NAME = "queue_name"
| static

Queue name (field name).

This field appears in `DATALOSS` advisories with reason QUEUE_LIMIT_EXCEEDED.

The string value of the `queue_name` field identifies the queue that discarded excess events.

If the queue's `name` property is not set, then the advisory message omits this field.

See also
  REASON_QUEUE_LIMIT_EXCEEDED, FTL.EVENTQUEUE_PROPERTY_STRING_NAME

## ◆ FIELD_REASON

readonly string TIBCO.FTL.Advisory.FIELD_REASON = "reason"
| static

Advisory reason (field name).

The string value of the `reason` field provides additional information about the reason for the advisory (adding detail to the `name` field).

See also
  REASON_QUEUE_LIMIT_EXCEEDED, REASON_TPORT_DATALOSS, REASON_SENDER_DISCARD, REASON_RECONNECT_LOSS, REASON_UPSTREAM_LOSS, REASON_INCOMPLETE_MESSAGE, REASON_FAILOVER_LOSS, REASON_STORE_DISCARD_DATALOSS, REASON_DURABLE_SUBSCRIBER_COLLISION, REASON_PERSISTENCE_STORE_UNAVAILABLE, REASON_PERSISTENCE_STORE_AVAILABLE, REASON_PERSISTENCE_STORE_AVAILABLE_AFTER_CLUSTER_DATALOSS, REASON_RETRANSMISSION_REQUEST, REASON_RETRANSMISSION_SENT, REASON_RETRANSMISSION_REQUEST_SUPPRESSED

## ◆ FIELD_SEVERITY

readonly string TIBCO.FTL.Advisory.FIELD_SEVERITY = "severity"
| static

Advisory severity (field name).

The string value of the `severity` field classifies each advisory according to the ability of FTL to fulfill its function as a message carrier.

See also
  SEVERITY_WARN, SEVERITY_INFO, SEVERITY_DEBUG

## ◆ FIELD_SUBSCRIBER_NAME

readonly string TIBCO.FTL.Advisory.FIELD_SUBSCRIBER_NAME = "subscriber_name"
| static

Subscriber name (field name).

This field can appear in `SUBSCRIBER_FORCE_CLOSE` advisories.

The string value of the `subscriber_name` field identifies the closed durable subscriber.

See also
  NAME_SUBSCRIBER_FORCE_CLOSE, REASON_DURABLE_SUBSCRIBER_COLLISION

## ◆ FIELD_TIMESTAMP

readonly string TIBCO.FTL.Advisory.FIELD_TIMESTAMP = "timestamp"
| static

Timestamp (field name).

The TibDateTime value of the `timestamp` field indicates the time that FTL generated the advisory.

Although DateTime values can represent time with nanosecond precision, the actual resolution of the timestamp is only as fine-grained as the host computer's operating system supports.

See also
  TibDateTime

## ◆ MODULE_BASE

readonly string TIBCO.FTL.Advisory.MODULE_BASE = "BASE"
| static

The advisory message pertains to the FTL API base library implementation code (field value).

This string value can appear in the `module` field of advisory messages.

See also
  FIELD_MODULE

## ◆ NAME_DATALOSS

readonly string TIBCO.FTL.Advisory.NAME_DATALOSS = "DATALOSS"
| static

The advisory message reports data loss (name).

This string value can appear in the `name` field of advisory messages.

The `reason` field distinguishes among several reasons for data loss.

See also
  FIELD_NAME, REASON_QUEUE_LIMIT_EXCEEDED, REASON_TPORT_DATALOSS, REASON_SENDER_DISCARD, REASON_RECONNECT_LOSS, REASON_UPSTREAM_LOSS, REASON_INCOMPLETE_MESSAGE, REASON_FAILOVER_LOSS, REASON_STORE_DISCARD_DATALOSS

## ◆ NAME_LOCK_LOST

readonly string TIBCO.FTL.Advisory.NAME_LOCK_LOST = "LOCK_LOST"
| static

The advisory message reports that a lock previously held by this application was stolen by some other application.

This string value can appear in the `name` field.

See also
  FIELD_NAME, REASON_LOCK_STOLEN, REASON_LOCK_LOST_ON_DISCONNECT, FIELD_LOCK_NAME

## ◆ NAME_NONINLINE_SEND_LOSS

readonly string TIBCO.FTL.Advisory.NAME_NONINLINE_SEND_LOSS = "NONINLINE_SEND_LOSS"
| static

The advisory message reports that a non-inline persistence publisher experienced a failure while trying to persist a message.

This string value can appear in the `name` field.

This advisory is a hint to applications that a non-inline publisher experienced a failure in the background. Applications may wish to call IPublihser.Flush to determine what error occurred. Applications may use the Advisory.FIELD_PUBLISHER_LABEL field to identify the publisher.

See also
  FIELD_NAME, FIELD_PUBLISHER_LABEL

## ◆ NAME_RESOURCE_AVAILABLE

readonly string TIBCO.FTL.Advisory.NAME_RESOURCE_AVAILABLE = "RESOURCE_AVAILABLE"
| static

The advisory message reports that a resource is available.

This string value can appear in the `name` field of advisory messages.

The `reason` field notes the available resource.

See also
  FIELD_NAME, REASON_PERSISTENCE_STORE_AVAILABLE

## ◆ NAME_RESOURCE_UNAVAILABLE

readonly string TIBCO.FTL.Advisory.NAME_RESOURCE_UNAVAILABLE = "RESOURCE_UNAVAILABLE"
| static

The advisory message reports that a resource is unavailable.

This string value can appear in the `name` field of advisory messages.

The `reason` field notes the unavailable resource.

See also
  FIELD_NAME, REASON_PERSISTENCE_STORE_UNAVAILABLE

## ◆ NAME_RETRANSMISSION

readonly string TIBCO.FTL.Advisory.NAME_RETRANSMISSION = "RETRANSMISSION"
| static

The advisory message reports multicast retransmission.

This string value can appear in the `name` field.

Retransmission is a normal occurrence for multicast transports. Retransmission advisories give applications access to data about network conditions.

The `reason` field distinguishes the type of retransmission advisory.

See also
  FIELD_NAME, FIELD_REASON, REASON_RETRANSMISSION_REQUEST, REASON_RETRANSMISSION_SENT, REASON_RETRANSMISSION_REQUEST_SUPPRESSED

## ◆ NAME_SUBSCRIBER_FORCE_CLOSE

readonly string TIBCO.FTL.Advisory.NAME_SUBSCRIBER_FORCE_CLOSE = "SUBSCRIBER_FORCE_CLOSE"
| static

The advisory message reports that a persistence store forced a durable subscriber to close.

This string value can appear in the `name` field of advisory messages.

The `reason` field indicates the reason that the store forced the durable subscriber to close.

See also
  FIELD_NAME, FIELD_REASON, REASON_DURABLE_SUBSCRIBER_COLLISION, FIELD_ENDPOINTS, FIELD_SUBSCRIBER_NAME

## ◆ REASON_DURABLE_SUBSCRIBER_COLLISION

readonly string TIBCO.FTL.Advisory.REASON_DURABLE_SUBSCRIBER_COLLISION = "DURABLE_SUBSCRIBER_COLLISION"
| static

The advisory reports that a persistence store forced a subscriber to close; the reason is durable subscriber collision.

Each durable can serve at most one durable subscriber object at a time. The store resolves collisions in favor of the newer durable subscriber, forcing the older subscriber to close.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_SUBSCRIBER_FORCE_CLOSE, FIELD_REASON, FIELD_ENDPOINTS, FIELD_SUBSCRIBER_NAME

## ◆ REASON_FAILOVER_LOSS

readonly string TIBCO.FTL.Advisory.REASON_FAILOVER_LOSS = "FAILOVER_LOSS"
| static

The advisory reports potential data loss; the reason is failover to a backup forwarding component.

Only connection-oriented transports can detect this condition.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_INCOMPLETE_MESSAGE

readonly string TIBCO.FTL.Advisory.REASON_INCOMPLETE_MESSAGE = "INCOMPLETE_MESSAGE"
| static

The advisory reports data loss; the reason is an incomplete message.

The transport could not reassemble an inbound message because some data fragments did not arrive.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_LOCK_LOST_ON_DISCONNECT

readonly string TIBCO.FTL.Advisory.REASON_LOCK_LOST_ON_DISCONNECT = "LOCK_LOST_ON_DISCONNECT"
| static

The advisory reports lock lost notification; the reason is a lock that was previously held by this application was lost because of a disconnect from the persistence store.

This string value can appear in the `reason` field.

See also
  NAME_LOCK_LOST, FIELD_REASON, FIELD_AGGREGATION_COUNT

## ◆ REASON_LOCK_STOLEN

readonly string TIBCO.FTL.Advisory.REASON_LOCK_STOLEN = "LOCK_STOLEN"
| static

The advisory reports lock lost notification; the reason is a lock that was previously held by this application was stolen by some other application.

This string value can appear in the `reason` field.

See also
  NAME_LOCK_LOST, FIELD_REASON, FIELD_AGGREGATION_COUNT

## ◆ REASON_PERSISTENCE_STORE_AVAILABLE

readonly string TIBCO.FTL.Advisory.REASON_PERSISTENCE_STORE_AVAILABLE = "PERSISTENCE_STORE_AVAILABLE"
| static

The advisory reports resource availibility; the reason is that a persistence store is available.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_RESOURCE_AVAILABLE, FIELD_REASON

## ◆ REASON_PERSISTENCE_STORE_AVAILABLE_AFTER_CLUSTER_DATALOSS

readonly string TIBCO.FTL.Advisory.REASON_PERSISTENCE_STORE_AVAILABLE_AFTER_CLUSTER_DATALOSS = "PERSISTENCE_STORE_AVAILABLE_AFTER_CLUSTER_DATALOSS"
| static

The advisory reports resource availability; the reason is that a persistence store is available but the cluster lost some or all data.

This string value can appear in the `reason` field.

See also
  NAME_RESOURCE_AVAILABLE, FIELD_REASON

## ◆ REASON_PERSISTENCE_STORE_UNAVAILABLE

readonly string TIBCO.FTL.Advisory.REASON_PERSISTENCE_STORE_UNAVAILABLE = "PERSISTENCE_STORE_UNAVAILABLE"
| static

The advisory reports resource unavailibility; the reason is that a persistence store is not available.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_RESOURCE_UNAVAILABLE, FIELD_REASON

## ◆ REASON_QUEUE_LIMIT_EXCEEDED

readonly string TIBCO.FTL.Advisory.REASON_QUEUE_LIMIT_EXCEEDED = "QUEUE_LIMIT_EXCEEDED"
| static

The advisory message reports data loss; the reason is overflow of an event queue.

The queue has discarded some events, in accordance with its property values.

This string value can appear in the `reason` field of advisory messages.

Common Diagnoses

- Lengthy processing in callbacks could delay prompt dispatch of the queue.
- The program could not process the volume of inbound messages from its subscribers.
- The program is starved for CPU cycles – its host computer is too heavily loaded.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_QUEUE_NAME, FIELD_AGGREGATION_COUNT

## ◆ REASON_RECONNECT_LOSS

readonly string TIBCO.FTL.Advisory.REASON_RECONNECT_LOSS = "RECONNECT_LOSS"
| static

The advisory reports potential data loss; the reason is a temporary network disconnect between two connection-oriented transports (that is, TCP or RDMA).

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_RETRANSMISSION_REQUEST

readonly string TIBCO.FTL.Advisory.REASON_RETRANSMISSION_REQUEST = "RETRANSMISSION_REQUEST"
| static

The advisory reports that the subscribing endpoint of a multicast transport in the application requested retransmission from a publishing endpoint.

This string value can appear in the `reason` field.

See also
  NAME_RETRANSMISSION, FIELD_REASON, SEVERITY_DEBUG, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_RETRANSMISSION_REQUEST_SUPPRESSED

readonly string TIBCO.FTL.Advisory.REASON_RETRANSMISSION_REQUEST_SUPPRESSED = "RETRANSMISSION_REQUEST_SUPPRESSED"
| static

The advisory reports that the subscribing endpoint of a multicast transport in the application would have requested retransmission, but request was suppressed.

Suppression can occur when a multicast transport enables retransmission control, and a subscribing endpoint misses packets in excess of a specified threshold.

This string value can appear in the `reason` field.

See also
  NAME_DATALOSS, FIELD_REASON, SEVERITY_WARN, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_RETRANSMISSION_SENT

readonly string TIBCO.FTL.Advisory.REASON_RETRANSMISSION_SENT = "RETRANSMISSION_SENT"
| static

The advisory reports that the publishing endpoint of a multicast transport in the application has sent a retransmission as requested.

This string value can appear in the `reason` field.

See also
  NAME_RETRANSMISSION, FIELD_REASON, SEVERITY_DEBUG, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_SENDER_DISCARD

readonly string TIBCO.FTL.Advisory.REASON_SENDER_DISCARD = "SENDER_DISCARD"
| static

The advisory reports data loss; the reason is that a sending transport has discarded data in accordance with its backlog settings.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_STORE_DISCARD_DATALOSS

readonly string TIBCO.FTL.Advisory.REASON_STORE_DISCARD_DATALOSS = "STORE_DISCARD_DATALOSS"
| static

The advisory reports data loss when a subscriber to a last-value durable has missed one or more messages from the persistence store.

It can also report potential data loss because the subscriber disconnected from the store.

See also
  NAME_DATALOSS, FIELD_REASON, SEVERITY_WARN, FIELD_ENDPOINTS, FIELD_SUBSCRIBER_NAME, FIELD_AGGREGATION_COUNT

## ◆ REASON_TPORT_DATALOSS

readonly string TIBCO.FTL.Advisory.REASON_TPORT_DATALOSS = "TPORT_DATALOSS"
| static

The advisory reports data loss; the reason is a transport malfunction.

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ REASON_UPSTREAM_LOSS

readonly string TIBCO.FTL.Advisory.REASON_UPSTREAM_LOSS = "UPSTREAM_LOSS"
| static

The advisory reports potential data loss; the reason is a data loss advisory detected upstream at a forwarding component (such as a transport bridge).

This string value can appear in the `reason` field of advisory messages.

See also
  NAME_DATALOSS, FIELD_REASON, FIELD_ENDPOINTS, FIELD_AGGREGATION_COUNT

## ◆ SEVERITY_DEBUG

readonly string TIBCO.FTL.Advisory.SEVERITY_DEBUG = "DEBUG"
| static

The advisory message is for debugging (severity value).

Debug advisories can report internal state changes, or signal an administrator to investigate. Debug advisories do not indicate impaired behavior.

This string value can appear in the `severity` field of advisory messages.

See also
  FIELD_SEVERITY, NAME_RETRANSMISSION

## ◆ SEVERITY_INFO

readonly string TIBCO.FTL.Advisory.SEVERITY_INFO = "INFO"
| static

The advisory message is informational (severity value).

Informational advisories can report external state changes, or signal your program to change its operating state. Informational advisories do not indicate impaired FTL behavior.

This string value can appear in the `severity` field of advisory messages.

See also
  FIELD_SEVERITY, GROUP.GroupFactory.ADVISORY_NAME_ORDINAL_UPDATE, GROUP.GroupFactory.ADVISORY_NAME_GROUP_STATUS

## ◆ SEVERITY_WARN

readonly string TIBCO.FTL.Advisory.SEVERITY_WARN = "WARN"
| static

The advisory message is a warning (severity value).

Warnings indicate that although FTL functionality is impaired, FTL still continues to operate. As a result of impaired messaging, your application might behave incorrectly.

This string value can appear in the `severity` field of advisory messages.

See also
  FIELD_SEVERITY